Package uk.ac.starlink.topcat.plot2

# Interface PositionCoordPanel

All Superinterfaces:
  `CoordPanel`

All Known Implementing Classes:
  `AreaCoordPanel`, `MatrixPositionCoordPanel`, `MultiGeomPositionCoordPanel`, `SimplePositionCoordPanel`, `XYArrayCoordPanel`

public interface PositionCoordPanel extends CoordPanel
GUI component for obtaining data position coordinates.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.ttools.plot2.DataGeom`
`getDataGeom()`
Returns the position geometry that defines the mapping of input to data coordinates.
`default List<uk.ac.starlink.util.Bi<String,JComponent>>`
`getExtraTabs()`
Returns definitions for additional tabs to add alongside the main Position tab in the FormLayerControl.

### Methods inherited from interface uk.ac.starlink.topcat.plot2.CoordPanel

`addActionListener, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, removeActionListener, setTable`

## Method Details

### getDataGeom

uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()
Returns the position geometry that defines the mapping of input to data coordinates.

Returns:
  data geom

### getExtraTabs

default List<uk.ac.starlink.util.Bi<String,JComponent>> getExtraTabs()
Returns definitions for additional tabs to add alongside the main Position tab in the FormLayerControl. In most cases an empty list will be returned.

Returns:
  list of (TabName,TabContent) pairs to add